
-- -----------------------------------------------------------------
-- System Generator version 7.1.01 vhdl source file.
-- 
-- Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
-- text/file contains proprietary, confidential information of Xilinx,
-- Inc., is distributed under license from Xilinx, Inc., and may be used,
-- copied and/or disclosed only pursuant to the terms of a valid license
-- agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
-- this text/file solely for design, simulation, implementation and
-- creation of design files limited to Xilinx devices or technologies.
-- Use with non-Xilinx devices or technologies is expressly prohibited
-- and immediately terminates your license unless covered by a separate
-- agreement.
-- 
-- Xilinx is providing this design, code, or information "as is" solely
-- for use in developing programs and solutions for Xilinx devices.  By
-- providing this design, code, or information as one possible
-- implementation of this feature, application or standard, Xilinx is
-- making no representation that this implementation is free from any
-- claims of infringement.  You are responsible for obtaining any rights
-- you may require for your implementation.  Xilinx expressly disclaims
-- any warranty whatsoever with respect to the adequacy of the
-- implementation, including but not limited to warranties of
-- merchantability or fitness for a particular purpose.
-- 
-- Xilinx products are not intended for use in life support appliances,
-- devices, or systems.  Use in such applications is expressly prohibited.
-- 
-- Any modifications that are made to source code are done at the users
-- sole risk and will be unsupported.
-- 
-- This copyright and support notice must be retained as part of this
-- text at all times.  (c) Copyright 1995-2005 Xilinx, Inc. 
-- All rights reserved.
-- -----------------------------------------------------------------

library IEEE;
use IEEE.std_logic_1164.all;
use work.conv_pkg.all;
use work.clock_pkg.all;

entity bandpass_filter_hw_mti_hwcosim is 
  generic (
    cePrtName: string := "ce";
    clkPrtName: string := "clk";
    bitfileName: string := "C:\XUP\Markets\DSP\XUP_V2PRO\QuickStarts\JTAG_cosim\design\completed\xupv2p\bandpass_filter_hw_clk_wrapper.bit";
    clkSrc: integer := 1;
    prtDataRates: string := "9,9";
    dllName: string := "JTAGCosimEngine";
    targetDir: string := "C:/XUP/Markets/DSP/XUP_V2PRO/QuickStarts/JTAG_cosim/design/completed/xupv2p";
    topLevelName: string := "bandpass_filter_hw_clk_wrapper";
    binDir: string := "C:\MATLAB701\toolbox\xilinx\sysgen\jtagcosim";
    IRLengths: string := "16,8,14";
    prtTypes: string := "Fix_8_6,Fix_8_6";
    prtNames: string := "gateway_in,gateway_out";
    bscanPos: integer := 3;
    hasBufgmux: string := "on";
    blkPeriod: real := 7.407407407407407E-8;
    prtDirs: string := "0,1"
  );
  port (
    ce: in std_logic := '1';
    ce_clr: in std_logic := '0';
    clk: in std_logic;
    gateway_in: in std_logic_vector(7 downto 0);
    gateway_out: out std_logic_vector(7 downto 0)
  );
end bandpass_filter_hw_mti_hwcosim;

architecture structural of bandpass_filter_hw_mti_hwcosim is
  attribute foreign: string;
  attribute foreign of structural : architecture is "engine_init C:/MATLAB701/toolbox/xilinx/sysgen\bin\MTICosimAdapter.dll; C:/MATLAB701/toolbox/xilinx/sysgen";


begin
end structural;
